[package]
name = "roto-tonic"
version = "0.1.0"
edition = "2024"

[dependencies]
roto-runtime = { path = "../runtime" }
tonic = "0.12"
bytes = "1.7"
prost = "0.13"
http-body = "1.0"
http-body-util = "0.1"
tower = "0.4"
futures-util = "0.3"
async-trait = "0.1"
tokio-stream = { version = "0.1", features = ["net"] }
tokio = { version = "1.38", features = ["full"] }
http = "1.1"

[build-dependencies]
tonic-build = "0.12"

[features]
default = ["alloc"]
alloc = []
